Subject: Re: [PATCH 1/2] user-manual: Simplify the user configuration.

From: Junio C Hamano <[email-masked]>
Date: Wed, 21 Jan 2009 12:54:48 -0800

Felipe Contreras <[email-masked]> writes:

> This is shorter, avoids the burder to think about the format of the
> configuration file, and git config is already used in other places in
> the manual.

I am moderately against changing this part to use "git config".

We traditionally introduced how to set configuration variables first by
editing it in an editor, and this was quite deliberate, in order to show
how the configuration file looks like, to demonstrate that there is no
deep magic in the file format, and to explain that it is perfectly Ok to
edit it without using "git config" command.

I actually wish this section appeared a lot earlier in the document, but
that is a separate issue.